petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscSFBcastEnd

end a broadcast operation started with PetscSFBcastBegin()

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFBcastEnd(PetscSF sf,MPI_Datatype unit,const void *rootdata,void *leafdata)

Collective Many br

### Input Arguments

| sf | - star forest Many br
| unit | - data type Many br
| rootdata | - buffer to broadcast Many br

### Output Arguments

leafdata -buffer to update with values from each leaf's respective root Many br

Many br

### See Also

PetscSFSetGraph(), PetscSFReduceEnd()

Level:intermediate
Location:src/vec/is/sf/interface/sf.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/is/sf/examples/tutorials/ex1.c.html
src/vec/is/sf/examples/tutorials/ex2.c.html
src/ts/examples/tutorials/ex11.c.html